# helma.Mail | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Namespace helma.Mail

- Defined in: Global.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| helma.Mail The helma.Mail prototype is defined in a module.

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | helma.Mail.flushQueue() Try to send and remove every mail instance collected in the mail queue.
| queue() Add an e-mail message to the mail queue for later sending.

## Namespace Detail

helma.Mail
The helma.Mail prototype is defined in a module.

## Method Detail

- <static> helma.Mail.flushQueue()
  Try to send and remove every mail instance collected in the mail queue.
  See:
    app.data.mails
- {Number} queue()
  Add an e-mail message to the mail queue for later sending.
  Returns:
    {Number} The number of mails waiting in the queue
  See:
    app.data.mails